Module org.xerial.sqlitejdbc
Package org.sqlite.util

## Class ResourceFinder

- java.lang.Object
- - org.sqlite.util.ResourceFinder

    public class ResourceFinder
    extends Object

Resource address finder for files inside the jar file

Author:
  leo

### Constructor Summary

Constructors
`ResourceFinder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static URL` `find​(Class<?> referenceClass, String resourceFileName)` Gets the `URL` of the file resource
`static URL` `find​(ClassLoader classLoader, Package basePackage, String resourceFileName)` Finds the `URL` of the resource
`static URL` `find​(ClassLoader classLoader, String packageName, String resourceFileName)` Finds the `URL` of the resource

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceFinder

    public ResourceFinder()

### Method Detail

#### find

    public static URL find​(Class<?> referenceClass,
                           String resourceFileName)

Gets the `URL` of the file resource

Parameters:
  `referenceClass` - the base class for finding resources files. This method will search the package containing the given referenceClass.
  `resourceFileName` - the resource file name relative to the package of the referenceClass
Returns:
  the URL of the file resource

#### find

    public static URL find​(ClassLoader classLoader,
                           Package basePackage,
                           String resourceFileName)

Finds the `URL` of the resource

Parameters:
  `basePackage` - the base package to find the resource
  `resourceFileName` - the resource file name relative to the package folder
Returns:
  the URL of the specified resource

#### find

    public static URL find​(ClassLoader classLoader,
                           String packageName,
                           String resourceFileName)

Finds the `URL` of the resource

Parameters:
  `packageName` - the base package name to find the resource
  `resourceFileName` - the resource file name relative to the package folder
Returns:
  the URL of the specified resource